Image 01
profile-image

detlev

Detlev Offenbach
eric

IDEs by detlev

This probably resulted from having a mix of distribution provided PyQt packages (< Qt 5.15) and pip installed QScintilla (which is built against Qt 5.15). The solutions to this are

1. Install QScintilla and its Python bindings via your distribution package manager.
2. Create a Python virtual environment for eric and install eric (and PyQt5 and other prerequisites) in there. The steps are detailed on the eric-ide web site (https://eric-ide.python-projects.org). - Sep 19 2020
eric

IDEs by detlev

It is a bit hidden. Under 'Files' click on '1 archived' and it will show a link. - Feb 02 2019